ADW(4)

NAME
adw - Advansys PCI 16bit SCSI Host adapter driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device pci
device scbus
device adw

DESCRIPTION
This driver provides access to the 16bit SCSI bus connected to the Advanced Systems Products, Inc. ASC3550 Ultra, and ASC38C0800 Ultra2, SCSI Host Adapter chips. Both chips support, synchronous transfers (20MHz and 40MHz max respectively), 16bit transfers, tagged queueing, and up to 253 concurrent SCSI transactions.

Per target configuration performed in the AdvanceWare menu, which is accessible at boot, is honored by this driver. This includes synchronous/asynchronous transfers, maximum synchronous negotiation rate, wide transfers, disconnection, tagged queueing, and the host adapter's SCSI ID. The global setting for the maximum number of tagged transactions allowed per target is not honored as the CAM SCSI system will automatically determine the maximum number of tags a device can receive as well as guarantee fair resource allocation among devices.

HARDWARE
The adw driver supports SCSI controllers including:

•   AdvanSys ABP940UW/ABP3940UW
•   AdvanSys ABP950UW
•   AdvanSys ABP970UW
•   AdvanSys ABP3940U2W
•   AdvanSys ABP3950U2W

SEE ALSO
adv(4), cd(4), da(4), sa(4), scsi(4)

HISTORY
The adw driver appeared in FreeBSD 3.0.

AUTHORS
-nosplit The adw driver was ported by Justin T. Gibbs from the Linux driver written by Bob Frey of Advanced System Products, Inc. Many thanks to AdvanSys for providing the original driver under a suitable license for use in FreeBSD.